# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2020-05-12 13:56
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import order.models


class Migration(migrations.Migration):

    dependencies = [
        ('order', '0040_merge_20200129_1716'),
    ]

    operations = [
        migrations.CreateModel(
            name='Document',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(blank=True, null=True, upload_to=order.models.upload_order_documents)),
                ('doc_type', models.PositiveSmallIntegerField(blank=True, choices=[('0', 'Договор'), ('1', 'Соглашение на изменение цены'), ('2', 'Соглашение на смену критериев'), ('3', 'Акт выполненных работ')], verbose_name='Тип')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='Дата создания')),
                ('url', models.URLField(blank=True, null=True)),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='order.Order', verbose_name='Заказ')),
            ],
            options={
                'verbose_name': 'Документи',
                'verbose_name_plural': 'Документ',
            },
        ),
    ]
